|  | Home · All Classes · All Functions · Overviews

# Q3StoredDrag Class Reference
[Qt3Support module]

The Q3StoredDrag class provides a simple stored-value drag object for arbitrary MIME data. More...

     #include <Q3StoredDrag>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits Q3DragObject.

Inherited by Q3ColorDrag and Q3UriDrag.

- List of all members, including inherited members

## Public Functions

| Q3StoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )
| ~Q3StoredDrag ()
virtual void | setEncodedData ( const QByteArray & data )

## Reimplemented Public Functions

virtual QByteArray | encodedData ( const char * format ) const
virtual const char * | format ( int i ) const

- 9 public functions inherited from Q3DragObject
- 29 public functions inherited from QObject
- 3 public functions inherited from QMimeSource

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 static public member inherited from Q3DragObject
- 5 static public members inherited from QObject
- 1 protected function inherited from Q3DragObject
- 7 protected functions inherited from QObject

## Detailed Description

The Q3StoredDrag class provides a simple stored-value drag object for arbitrary MIME data.

When a block of data has only one representation, you can use a Q3StoredDrag to hold it.

For more information about drag and drop, see the Q3DragObject class and the drag and drop documentation.

## Member Function Documentation

### Q3StoredDrag::Q3StoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )

Constructs a Q3StoredDrag. The dragSource and name are passed to the Q3DragObject constructor, and the format is set to mimeType.

The data will be unset. Use setEncodedData() to set it.

### Q3StoredDrag::~Q3StoredDrag ()

Destroys the drag object.

### QByteArray Q3StoredDrag::encodedData ( const char * format ) const `[virtual]`

Reimplemented from QMimeSource::encodedData().

Returns the stored data in the format given.

See also setEncodedData().

### const char * Q3StoredDrag::format ( int i ) const `[virtual]`

Reimplemented from QMimeSource::format().

### void Q3StoredDrag::setEncodedData ( const QByteArray & data ) `[virtual]`

Sets the encoded data of this drag object. The encoded data is delivered to drop sites; it must be in a strictly defined and portable format.

The drag object can't be dropped (by the user) until this function has been called.

See also encodedData().